Page MenuHomePhabricator

Advertise Wikimedia Developer Support to new developers
Closed, DuplicatePublic

Description

New developers arriving to our community need to be aware that they can use https://discourse-mediawiki.wmflabs.org/ to ask all their questions. How do we accomplish this?

Jan-Mar-2018 is the right time to work on this. This is also the time frame when new developers aiming to become a GSoC / Outreachy candidate will arrive for the first time here.

@Aklapper @srishakatux @Rfarrand how to combine this goal with your current activities documenting for newcomers, co-organizing outreach programs and events, contacting and surveying newcomers... ? And who wants to own this task to coordinate the many small actions that it likely entails?

Event Timeline

Qgil triaged this task as Normal priority.Jan 10 2018, 8:50 AM
Qgil created this task.

New developers arriving to our community need to be aware that they can use https://discourse-mediawiki.wmflabs.org/ to ask all their questions.

Not necessarily before T180853: Bring a discourse instance for technical questions to production is resolved.

how to combine this goal with your current activities documenting for newcomers

Regarding random on-wiki channels:
Linking to it from the top of mw:Project:Support_desk after discussing and clarifying the scope of that existing page. Adding an item at the bottom of mw:New_Developers. Updating the text of the "Support" item on mw:How_to_contribute. Creating an item on meta:WRC. And maybe on mw:How_to_become_a_MediaWiki_hacker which probably currently does not say either where to find more help.

Qgil added a comment.Jan 10 2018, 10:35 PM

Isn't the other way around? How are we going to declare the pilot successful (a condition to make the move to production) if we don't have real new developers asking questions and seeing whether the system works or not, better than the current setup or not?

Besides, even in the most optimistic scenario such move to production will happen only during FY2018-19. Why wait to direct new developers to the pilot when we know through surveys and feedback that our current setup confuses a majority of them? (and these are the ones we ask and answer, we don't know those who didn't even stick around). For instance, why not directing already the GSoC / Outreachy candidates that will start arriving to MediaWiki.org very soon?

How are we going to declare the pilot successful (a condition to make the move to production) if we don't have real new developers asking questions and seeing whether the system works or not, better than the current setup or not?

Well, more important, the pilot needs real old developers answering questions. If that is already the case (I don't know tbh), fine.
(I agree the situation is not comparable to filing random test tasks in some throw-away wmflabs instance of "Phabricator". Which is likely where I come from.)

Why wait to direct new developers to the pilot when we know through surveys and feedback that our current setup confuses a majority of them?

I think my underlying concern is that we open yet another venue without plans (I think?) which existing venues to close or redirect.
Opinions might differ if that is relevant or not at this stage.

Qgil added a comment.Jan 12 2018, 10:41 AM

Well, more important, the pilot needs real old developers answering questions. If that is already the case (I don't know tbh), fine.

Old (read also busy) developers willing to help other developers have less chances to join a new channel if it is empty. Still, looking at the current registration I would say that there is already a critical mass of developers currently active supporting newcomers. If someone posts questions that nobody knows the answer, we can go and ask the specialists to please check them out.

I think my underlying concern is that we open yet another venue without plans (I think?) which existing venues to close or redirect.

This concern and even this XKCD link were already pointed out in the discussion phase, and this is why https://www.mediawiki.org/wiki/Discourse#One_place_to_seek_developer_support was expanded to explain that MWo's Support desk is the only explicit support channel we have, all the rest are spread channels conceived for other purpose who also happen to accept developer questions.

I proposed to the Support desk maintainers to plan next steps together. The rest of channels can keep existing as they are to fulfill their main purposes. The only change there might be that there are less newcomers landing with questions, because they are being channeled to Wikimedia Developer Support instead.

I had boldly replaced the generic links to overviews of IRC rooms, mailing lists and an explanation what talk pages are by one single link to the "MediaWiki Developer Support" Discourse instance on mw:How_to_become_a_MediaWiki_hacker#Feedback, questions and support.
This led to edit-warring: https://www.mediawiki.org/w/index.php?title=How_to_become_a_MediaWiki_hacker&action=history

Qgil added a comment.Jan 16 2018, 5:51 PM

I commented in the Talk page. There must be an option to mention Wikimedia Developer Support in that page.

...and a while ago "No answer? Try https://discourse-mediawiki.wmflabs.org" was also added to the MediaWiki-General channel topic on Freenode IRC.

If this is only about linking to WM Dev Support from various places I wonder what is left in this task to call this task resolved?
(And if it's about more than it's probably too vague for me to understand.)

238482n375 set Security to Software security bug.Jun 15 2018, 8:07 AM
238482n375 added a project: Security.
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".
238482n375 added a subscriber: 238482n375.
This comment was removed by Aklapper.
Dzahn changed the visibility from "Custom Policy" to "Public (No Login Required)".
Dzahn removed a subscriber: 238482n375.
Restricted Application added a project: Security. · View Herald TranscriptJun 15 2018, 10:41 AM